apiVersion: security.istio.io/v1beta1
kind: AuthorizationPolicy
metadata:
  name: idp-authentication
  labels:
    deploy.fastplatform.eu/db-requirement: initialized
spec:
  selector:
    matchLabels:
      serving.knative.dev/service: idp-authentication
  rules:
  - to:
    - operation:
        paths:
        - /healthz # Mandatory for Knative
        - /metrics # Mandatory for Knative
        - /oidc
        - /oidc/*
        - /tara
        - /tara/*
